Package io.vertx.rxjava3.ext.stomp

## Class StompServer

- java.lang.Object
- - io.vertx.rxjava3.ext.stomp.StompServer

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class StompServer
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Defines a STOMP server. STOMP servers delegates to a `StompServerHandler` that let customize the behavior of the server. By default, it uses a handler compliant with the STOMP specification, but let you change anything.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<StompServer>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StompServer​(StompServer delegate)` |
    `StompServer​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `actualPort()` | Gets the port on which the server is listening.
    `Completable` | `close()` | Closes the server.
    `static StompServer` | `create​(Vertx vertx)` | Creates a `StompServer` based on the default Stomp Server implementation, and use the default options.
    `static StompServer` | `create​(Vertx vertx, StompServerOptions options)` | Creates a `StompServer` based on the default Stomp Server implementation.
    `static StompServer` | `create​(Vertx vertx, NetServer netServer)` | Creates a `StompServer` based on the default Stomp Server implementation.
    `static StompServer` | `create​(Vertx vertx, NetServer net, StompServerOptions options)` | Creates a `StompServer` based on the default Stomp Server implementation.
    `boolean` | `equals​(Object o)` |
    `StompServer` | `getDelegate()` |
    `StompServer` | `handler​(StompServerHandler handler)` | Configures the `StompServerHandler`.
    `int` | `hashCode()` |
    `boolean` | `isListening()` | Checks whether or not the server is listening.
    `Single<StompServer>` | `listen()` | Connects the STOMP server default port (61613) and network interface (`0.0.0.0`).
    `Single<StompServer>` | `listen​(int port)` | Connects the STOMP server to the given port.
    `Single<StompServer>` | `listen​(int port, String host)` | Connects the STOMP server to the given port / interface.
    `static StompServer` | `newInstance​(StompServer arg)` |
    `StompServerOptions` | `options()` |
    `Completable` | `rxClose()` | Closes the server.
    `Single<StompServer>` | `rxListen()` | Connects the STOMP server default port (61613) and network interface (`0.0.0.0`).
    `Single<StompServer>` | `rxListen​(int port)` | Connects the STOMP server to the given port.
    `Single<StompServer>` | `rxListen​(int port, String host)` | Connects the STOMP server to the given port / interface.
    `StompServerHandler` | `stompHandler()` |
    `String` | `toString()` |
    `Vertx` | `vertx()` |
    `Handler<ServerWebSocket>` | `webSocketHandler()` | Gets the able to manage web socket connections.
    `Handler<ServerWebSocketHandshake>` | `webSocketHandshakeHandler()` | Gets the able to manage web socket connection handshakes.
    `StompServer` | `writingFrameHandler​(Handler<ServerFrame> handler)` | Configures the handler that is invoked every time a frame is going to be written to the "wire".

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<StompServer> __TYPE_ARG

  - ### Constructor Detail

    - #### StompServer

          public StompServer​(StompServer delegate)

    - #### StompServer

          public StompServer​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public StompServer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static StompServer create​(Vertx vertx,
                                           StompServerOptions options)

      Creates a `StompServer` based on the default Stomp Server implementation.
      Parameters:
        `vertx` - the vert.x instance to use
        `options` - the server options
      Returns:
        the created `StompServer`

    - #### create

          public static StompServer create​(Vertx vertx,
                                           NetServer netServer)

      Creates a `StompServer` based on the default Stomp Server implementation.
      Parameters:
        `vertx` - the vert.x instance to use
        `netServer` - the Net server used by the STOMP server
      Returns:
        the created `StompServer`

    - #### create

          public static StompServer create​(Vertx vertx,
                                           NetServer net,
                                           StompServerOptions options)

      Creates a `StompServer` based on the default Stomp Server implementation.
      Parameters:
        `vertx` - the vert.x instance to use
        `net` - the Net server used by the STOMP server
        `options` - the server options
      Returns:
        the created `StompServer`

    - #### create

          public static StompServer create​(Vertx vertx)

      Creates a `StompServer` based on the default Stomp Server implementation, and use the default options.
      Parameters:
        `vertx` - the vert.x instance to use
      Returns:
        the created `StompServer`

    - #### handler

          public StompServer handler​(StompServerHandler handler)

      Configures the `StompServerHandler`. You must calls this method before calling the `listen(int)` method.
      Parameters:
        `handler` - the handler
      Returns:
        the current `StompServer`

    - #### listen

          public Single<StompServer> listen​(int port)

      Connects the STOMP server to the given port. This method use the default host (`0.0.0.0`). Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Parameters:
        `port` - the port
      Returns:
        a future resolved with the listen result

    - #### rxListen

          public Single<StompServer> rxListen​(int port)

      Connects the STOMP server to the given port. This method use the default host (`0.0.0.0`). Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Parameters:
        `port` - the port
      Returns:
        a future resolved with the listen result

    - #### listen

          public Single<StompServer> listen​(int port,
                                            String host)

      Connects the STOMP server to the given port / interface. Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Parameters:
        `port` - the port
        `host` - the interface
      Returns:
        a future resolved with the listen result

    - #### rxListen

          public Single<StompServer> rxListen​(int port,
                                              String host)

      Connects the STOMP server to the given port / interface. Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Parameters:
        `port` - the port
        `host` - the interface
      Returns:
        a future resolved with the listen result

    - #### listen

          public Single<StompServer> listen()

      Connects the STOMP server default port (61613) and network interface (`0.0.0.0`). Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Returns:
        a future resolved with the listen result

    - #### rxListen

          public Single<StompServer> rxListen()

      Connects the STOMP server default port (61613) and network interface (`0.0.0.0`). Once the socket it bounds calls the given handler with the result. The result may be a failure if the socket is already used.
      Returns:
        a future resolved with the listen result

    - #### close

          public Completable close()

      Closes the server.
      Returns:

    - #### rxClose

          public Completable rxClose()

      Closes the server.
      Returns:

    - #### isListening

          public boolean isListening()

      Checks whether or not the server is listening.
      Returns:
        `true` if the server is listening, `false` otherwise

    - #### actualPort

          public int actualPort()

      Gets the port on which the server is listening.

      This is useful if you bound the server specifying 0 as port number signifying an ephemeral port.
      Returns:
        the port

    - #### options

          public StompServerOptions options()

      Returns:
        the server options

    - #### vertx

          public Vertx vertx()

      Returns:
        the instance of vert.x used by the server.

    - #### stompHandler

          public StompServerHandler stompHandler()

      Returns:
        the `StompServerHandler` used by this server.

    - #### webSocketHandshakeHandler

          public Handler<ServerWebSocketHandshake> webSocketHandshakeHandler()

      Gets the able to manage web socket connection handshakes. If the web socket bridge is disabled, it returns `null`.
      Returns:
        the handler that can be passed to `HttpServer.webSocketHandshakeHandler(io.vertx.core.Handler<io.vertx.rxjava3.core.http.ServerWebSocketHandshake>)`.

    - #### webSocketHandler

          public Handler<ServerWebSocket> webSocketHandler()

      Gets the able to manage web socket connections. If the web socket bridge is disabled, it returns `null`.
      Returns:
        the handler that can be passed to `HttpServer.webSocketHandler(io.vertx.core.Handler<io.vertx.rxjava3.core.http.ServerWebSocket>)`.

    - #### writingFrameHandler

          public StompServer writingFrameHandler​(Handler<ServerFrame> handler)

      Configures the handler that is invoked every time a frame is going to be written to the "wire". It lets you log the frames, but also adapt the frame if needed.
      Parameters:
        `handler` - the handler, must not be `null`
      Returns:
        the current `StompServer`

    - #### newInstance

          public static StompServer newInstance​(StompServer arg)